Index: Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorPreviewItem.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorPreviewItem.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorPreviewItem.js	(revision 407)
@@ -4,4 +4,5 @@
     'dojo/_base/lang',
     'dojo/dom-class',
+    'dojo/dom-geometry',
     'dojo/on',
     'dijit/_Container',
@@ -10,116 +11,129 @@
     'dijit/_WidgetsInTemplateMixin',
     './content/ContentWidgetFactory',
-    'dojo/text!./templates/QuestionEditorPreviewItem.html',
-    ], function(declare, fx, lang, domClass, on, _Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, ContentWidgetFactory, template) {
-        return declare("rft.ui.QuestionEditorPreviewItem", [_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _Container], {
-            version: "full",
-            templateString: template,
-            baseClass: "surveyEditorPreviewItem",
-            previousContentHeight: 200,
-            item: null,
-            innerWidget: null,
-            foldDuration: [250, 250],
-            animation: null,
-            _editing: false,
+    'dojo/text!./templates/QuestionEditorPreviewItem.html'
+], function(
+    declare,
+    fx,
+    lang,
+    domClass,
+    domGeom,
+    on,
+    _Container,
+    _TemplatedMixin,
+    _WidgetBase,
+    _WidgetsInTemplateMixin,
+    ContentWidgetFactory,
+    template
+){
+    return declare([_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _Container], {
+        version: "full",
+        templateString: template,
+        baseClass: "surveyEditorPreviewItem",
+        previousContentHeight: 200,
+        item: null,
+        innerWidget: null,
+        foldDuration: [250, 250],
+        animation: null,
+        _editing: false,
 
-            startup: function() {
-                if ( this._started ){ return; }
-                this.inherited(arguments);
-                this.foldButtonNode.onClick = lang.hitch(this, this.toggleFold);
-                this.removeButtonNode.onClick = lang.hitch(this, "onClose");
-                this.editButtonNode.onClick = lang.hitch(this, this.toggleEdit);
-                if (this.item) {
-                    this._showViewWidget();
+        startup: function() {
+            if ( this._started ){ return; }
+            this.inherited(arguments);
+            this.foldButtonNode.onClick = lang.hitch(this, this.toggleFold);
+            this.removeButtonNode.onClick = lang.hitch(this, "onClose");
+            this.editButtonNode.onClick = lang.hitch(this, this.toggleEdit);
+            if (this.item) {
+                this._showViewWidget();
+            } else {
+                throw "No data supplied to create an innerWidget!";
+            }
+        },
+        _destroyInnerWidget: function() {
+            if ( this.innerWidget !== null ) {
+                this.innerWidget.destroyRecursive();
+            }
+        },
+        _showViewWidget: function() {
+            var factory = new ContentWidgetFactory();
+            this.innerWidget = factory.createViewWidget( this.item );
+            if ( this.innerWidget !== null ) {
+                this.innerWidget.placeAt(this.containerNode);
+                this.innerWidget.startup();
+                this.innerWidget.set('readOnly',true);
+            }
+            this.titleNode.innerHTML = (this.item.code||"(no code)")+" : "+this.item.type+" [preview]";
+        },
+        _showEditWidget: function() {
+            var factory = new ContentWidgetFactory();
+            this.innerWidget = factory.createEditWidget( this.item );
+            if ( this.innerWidget !== null ) {
+                this.innerWidget.placeAt(this.containerNode);
+                this.innerWidget.startup();
+            }
+            this.titleNode.innerHTML = (this.item.code||"(no code)")+" : "+this.item.type+" [editing]";
+        },
+        onClose: function() {},
+        _getValueAttr: function(value) {
+            return this.item;
+        },
+        _setValueAttr: function(value) {
+            this.item = value;
+            this._destroyInnerWidget();
+            if ( this._editing ) {
+                this._showEditWidget();
+            } else {
+                this._showViewWidget();
+            }
+        },
+        toggleEdit: function() {
+            if(this._editing) {
+                if ( this.innerWidget !== null ) {
+                    this.item = this.innerWidget.get('value');
+                }
+                this._destroyInnerWidget();
+                this._showViewWidget();
+                this.editButtonNode.iconNode.className = this.editButtonNode.iconNode.className.replace("rftIconAccept", "rftIconEdit");
+                this.editButtonNode.set("label", "Edit");
+            } else {
+                this._destroyInnerWidget();
+                this._showEditWidget();
+                this.editButtonNode.iconNode.className = this.editButtonNode.iconNode.className.replace("rftIconEdit", "rftIconAccept");
+                this.editButtonNode.set("label", "Done");
+            }
+            this._editing = !this._editing;
+        },
+        toggleFold: function() {
+            if (!this.animation) {
+                if (!domClass.contains(this.domNode, "fold")) {
+                    this.previousContentHeight = domGeom.getMarginBox(this.innerNode).h;
+                    this.animation = fx.animateProperty({
+                        node: this.innerNode,
+                        duration: this.foldDuration[0],
+                        properties: {
+                            height: 1                        
+                        },
+                        onEnd: lang.hitch(this, function(){
+                            domClass.add(this.domNode, "fold");
+                            this.animation = null;
+                        })
+                    }).play();
+                    this.foldButtonNode.iconNode.className = this.foldButtonNode.iconNode.className.replace("rftIconHalfArrowUp", "rftIconHalfArrowDown");
                 } else {
-                    throw "No data supplied to create an innerWidget!";
-                }
-            },
-            _destroyInnerWidget: function() {
-                if ( this.innerWidget !== null ) {
-                    this.innerWidget.destroyRecursive();
-                }
-            },
-            _showViewWidget: function() {
-                var factory = new ContentWidgetFactory();
-                this.innerWidget = factory.createViewWidget( this.item );
-                if ( this.innerWidget !== null ) {
-                    this.innerWidget.placeAt(this.containerNode);
-                    this.innerWidget.startup();
-                    this.innerWidget.set('readOnly',true);
-                }
-                this.titleNode.innerHTML = (this.item.code||"(no node)")+" : "+this.item.type+" [preview]";
-            },
-            _showEditWidget: function() {
-                var factory = new ContentWidgetFactory();
-                this.innerWidget = factory.createEditWidget( this.item );
-                if ( this.innerWidget !== null ) {
-                    this.innerWidget.placeAt(this.containerNode);
-                    this.innerWidget.startup();
-                }
-                this.titleNode.innerHTML = (this.item.code||"(no node)")+" : "+this.item.type+" [editing]";
-            },
-            onClose: function() {},
-            _getValueAttr: function(value) {
-                return this.item;
-            },
-            _setValueAttr: function(value) {
-                this.item = value;
-                this._destroyInnerWidget();
-                if ( this._editing ) {
-                    this._showEditWidget();
-                } else {
-                    this._showViewWidget();
-                }
-            },
-            toggleEdit: function() {
-                if(this._editing) {
-                    if ( this.innerWidget !== null ) {
-                        this.item = this.innerWidget.get('value');
-                    }
-                    this._destroyInnerWidget();
-                    this._showViewWidget();
-                    this.editButtonNode.iconNode.className = this.editButtonNode.iconNode.className.replace("rftIconAccept", "rftIconEdit");
-                    this.editButtonNode.set("label", "Edit");
-                } else {
-                    this._destroyInnerWidget();
-                    this._showEditWidget();
-                    this.editButtonNode.iconNode.className = this.editButtonNode.iconNode.className.replace("rftIconEdit", "rftIconAccept");
-                    this.editButtonNode.set("label", "Done");
-                }
-                this._editing = !this._editing;
-            },
-            toggleFold: function() {
-                if (!this.animation) {
-                    if (!domClass.contains(this.domNode, "fold")) {
-                        this.previousContentHeight = dojo.marginBox(this.innerNode).h;
-                        this.animation = fx.animateProperty({
-                            node: this.innerNode,
-                            duration: this.foldDuration[0],
-                            properties: {
-                                height: 1                        
-                            },
-                            onEnd: lang.hitch(this, function(){
-                                domClass.add(this.domNode, "fold");
-                                this.animation = null;
-                            })
-                        }).play();
-                        this.foldButtonNode.iconNode.className = this.foldButtonNode.iconNode.className.replace("rftIconHalfArrowUp", "rftIconHalfArrowDown");
-                    } else {
-                        this.animation = fx.animateProperty({
-                            node: this.innerNode,
-                            duration: this.foldDuration[1],
-                            properties: {
-                                height: this.previousContentHeight                
-                            },
-                            onEnd: lang.hitch(this, function(){
-                                domClass.remove(this.domNode, "fold");
-                                this.animation = null;
-                            })
-                        }).play();
-                        this.foldButtonNode.iconNode.className = this.foldButtonNode.iconNode.className.replace("rftIconHalfArrowDown", "rftIconHalfArrowUp");
-                    }
+                    this.animation = fx.animateProperty({
+                        node: this.innerNode,
+                        duration: this.foldDuration[1],
+                        properties: {
+                            height: this.previousContentHeight                
+                        },
+                        onEnd: lang.hitch(this, function(){
+                            domClass.remove(this.domNode, "fold");
+                            this.animation = null;
+                        })
+                    }).play();
+                    this.foldButtonNode.iconNode.className = this.foldButtonNode.iconNode.className.replace("rftIconHalfArrowDown", "rftIconHalfArrowUp");
                 }
             }
+        }
 
-        });
     });
+});
Index: Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorToolkit.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorToolkit.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorToolkit.js	(revision 407)
@@ -15,5 +15,5 @@
     'dojo/text!./templates/QuestionEditorToolkit.html'
     ], function(declare, lang, Source, domConstruct, Memory, _Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, Button, ComboBox, store, CategoryListView, template) {
-        return declare("rft.ui.QuestionEditorToolkit", [_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _Container], {
+        return declare([_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _Container], {
 
             templateString: template,
Index: Dev/branches/rest-dojo-ui/client/rft/ui/QuestionWidget.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/QuestionWidget.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/QuestionWidget.js	(revision 407)
@@ -4,5 +4,5 @@
     'dijit/form/Textarea','./MultipleChoiceWidget'],
     function(declare,lang,domConstruct,_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,templateString,TextBox,Textarea,MultipleChoiceWidget){
-        return declare('rft.ui.QuestionWidget',[_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin],{
+        return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin],{
             templateString: templateString,
             mode: 'view', // view || edit
Index: Dev/branches/rest-dojo-ui/client/rft/ui/Selector.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/Selector.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/Selector.js	(revision 407)
@@ -1,32 +1,34 @@
 define([
+    'dojo/_base/array',
     'dojo/_base/declare',
-    'dojo/_base/array',
+    'dojo/_base/event',
+    'dojo/_base/lang',
+    'dojo/dom-class',
+    'dojo/fx',
+    'dojo/query',
+    'dijit/_Container',
+    'dijit/_TemplatedMixin',
+    'dijit/_WidgetBase',
+    'dijit/_WidgetsInTemplateMixin',
     'dijit/registry',
-    'dojo/_base/lang',
-    'dojo/_base/event',
-    'dojo/fx',
-    'dijit/_WidgetBase',
-    'dijit/_TemplatedMixin',
-    'dijit/_WidgetsInTemplateMixin',
-    'dijit/_Container',
     './LineWithActionsWidget',
-    'dojo/text!./templates/Selector.html',
-    'dojo/dom-class',
+    'dojo/text!./templates/Selector.html'
 ],function(
+    baseArray,
     declare,
-    baseArray,
+    event,
+    lang,
+    domClass,
+    fx,
+    query,
+    _Container,
+    _TemplatedMixin,
+    _WidgetBase,
+    _WidgetsInTemplateMixin,
     registry,
-    lang,
-    event,
-    fx,
-    _WidgetBase,
-    _TemplatedMixin,
-    _WidgetsInTemplateMixin,
-    _Container,
     LineWithActionsWidget,
-    templateString,
-    domClass
-    ){
-    return declare('rft.ui.Selector',[_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
+    templateString
+){
+    return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
         templateString: templateString,
         baseClass: 'rftSelector',
@@ -125,5 +127,5 @@
         onToggle: function(evt) {
             if (this._folded) {
-                var downArrowIcon = dojo.query(".rftBlockButton .rftIconHalfArrowDown", this._selectorLine.buttonsNode)[0];
+                var downArrowIcon = query(".rftBlockButton .rftIconHalfArrowDown", this._selectorLine.buttonsNode)[0];
                 if (downArrowIcon){
                     domClass.replace(downArrowIcon, "rftIconHalfArrowUp", "rftIconHalfArrowDown");
@@ -134,5 +136,5 @@
                 this._folded = false;
             } else {
-                var upArrowIcon = dojo.query(".rftBlockButton .rftIconHalfArrowUp", this._selectorLine.buttonsNode)[0];
+                var upArrowIcon = query(".rftBlockButton .rftIconHalfArrowUp", this._selectorLine.buttonsNode)[0];
                 if (upArrowIcon){
                     domClass.replace(upArrowIcon, "rftIconHalfArrowDown", "rftIconHalfArrowUp");
Index: Dev/branches/rest-dojo-ui/client/rft/ui/TabbedQuestionBrowser.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/TabbedQuestionBrowser.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/TabbedQuestionBrowser.js	(revision 407)
@@ -11,5 +11,5 @@
     ],
     function(declare,lang,win,ContentPane,TabContainer,Standby,store,Selector){
-        return declare('rft.ui.TabbedQuestionBrowser',[TabContainer],{
+        return declare([TabContainer],{
             tabPosition: 'left-h',
 
Index: Dev/branches/rest-dojo-ui/client/rft/ui/TitleGroup.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/TitleGroup.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/TitleGroup.js	(revision 407)
@@ -1,5 +1,5 @@
 require(['dojo/_base/declare','dojo/_base/query','dijit/registry','dojox/widget/TitleGroup'],
     function(declare,query,registry,TitleGroup){
-        return declare('rft.ui.TitleGroup',[TitleGroup],{
+        return declare([TitleGroup],{
             getChildren: function() {
                 return query("> .dijitTitlePane", this.domNode)
Index: Dev/branches/rest-dojo-ui/client/rft/ui/content/ContentWidgetFactory.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/content/ContentWidgetFactory.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/content/ContentWidgetFactory.js	(revision 407)
@@ -17,5 +17,5 @@
     './../lists/OrderedList'
 ],function(array, declare, lang, domConstruct, _TemplatedMixin, _WidgetBase, _Container, Button, CheckBox, NumberSpinner, RadioButton, Textarea, TextBox, TableContainer, _EditableListMixin, OrderedList) {
-    var factory = declare('rft.ui.content.ContentWidgetFactory', [], {
+    var factory = declare(null, {
         createViewWidget: function(/*Object*/options) {
             // options: Object
Index: Dev/branches/rest-dojo-ui/client/rft/ui/lists/AccountListView.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/lists/AccountListView.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/lists/AccountListView.js	(revision 407)
@@ -12,5 +12,5 @@
     OrderedList
 ) {
-    return declare('rft.ui.lists.AccountListView',[OrderedList],{
+    return declare([OrderedList],{
         baseClass: 'rftAccountListView',
         type: 'account',
Index: Dev/branches/rest-dojo-ui/client/rft/ui/lists/CategoryListView.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/lists/CategoryListView.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/lists/CategoryListView.js	(revision 407)
@@ -3,41 +3,41 @@
     'dojo/_base/lang',
     '../LineWithActionsWidget',
-    './List',
-    ],function(
-        declare,
-        lang,
-        LineWithActionsWidget,
-        List
-        ) {
-        return declare('rft.ui.lists.CategoryListView',[List],{
-            baseClass: 'rftLineListView',
+    './List'
+],function(
+    declare,
+    lang,
+    LineWithActionsWidget,
+    List
+) {
+    return declare([List],{
+        baseClass: 'rftLineListView',
 
-            _createAvatarNode: function(item) {
-                var node = document.createElement("div");
-                node.className = "dragAvatar";
-                node.innerHTML = item.title;
-                return node;
-            },
+        _createAvatarNode: function(item) {
+            var node = document.createElement("div");
+            node.className = "dragAvatar";
+            node.innerHTML = item.title;
+            return node;
+        },
 
-            _createListNode: function(item) {
-                var w = new LineWithActionsWidget({
-                    title: item,
-                    'class': "orange",
-                    actions: {
-                        "Remove" : {
-                            callback: lang.hitch(this, function() {
-                                this.removeItem(item, w);
-                            }),
-                            properties: {
-                                blockButton: false,
-                                icon: "Delete"
-                            }
+        _createListNode: function(item) {
+            var w = new LineWithActionsWidget({
+                title: item,
+                'class': "orange",
+                actions: {
+                    "Remove" : {
+                        callback: lang.hitch(this, function() {
+                            this.removeItem(item, w);
+                        }),
+                        properties: {
+                            blockButton: false,
+                            icon: "Delete"
                         }
                     }
-                });
-                w.startup();
-                return w.domNode;
-            }
+                }
+            });
+            w.startup();
+            return w.domNode;
+        }
 
-        });
     });
+});
Index: Dev/branches/rest-dojo-ui/client/rft/ui/lists/List.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/lists/List.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/lists/List.js	(revision 407)
@@ -19,5 +19,5 @@
     BorderContainer,
     templateString){
-    return declare('rft.ui.lists.List',[BorderContainer,_TemplatedMixin,_WidgetsInTemplateMixin],{
+    return declare([BorderContainer,_TemplatedMixin,_WidgetsInTemplateMixin],{
         templateString: templateString,
         baseClass: 'rftList',
Index: Dev/branches/rest-dojo-ui/client/rft/ui/lists/MultipleChoiceListView.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/lists/MultipleChoiceListView.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/lists/MultipleChoiceListView.js	(revision 407)
@@ -12,5 +12,5 @@
     OrderedList
     ) {
-    return declare('rft.ui.lists.MultipleChoiceListView',[OrderedList],{
+    return declare([OrderedList],{
         baseClass: 'rftMultipleChoiceListView',
         type: 'multipleChoiceOption',
Index: Dev/branches/rest-dojo-ui/client/rft/ui/lists/OrderedList.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/lists/OrderedList.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/lists/OrderedList.js	(revision 407)
@@ -12,5 +12,5 @@
         templateString
         ){
-        return declare('rft.ui.lists.OrderedList',[List],{
+        return declare([List],{
             templateString: templateString,
             baseClass: 'rftLineListView',
Index: Dev/branches/rest-dojo-ui/client/rft/ui/lists/QuestionListView.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/lists/QuestionListView.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/lists/QuestionListView.js	(revision 407)
@@ -12,5 +12,5 @@
     OrderedList
 ){
-    return declare('rft.ui.lists.QuestionListView',[OrderedList],{
+    return declare([OrderedList],{
         baseClass: 'rftSurveyListView',
         type: 'question',
Index: Dev/branches/rest-dojo-ui/client/rft/ui/lists/_EditableListMixin.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/lists/_EditableListMixin.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/lists/_EditableListMixin.js	(revision 407)
@@ -4,5 +4,5 @@
     'dijit/registry'
 ],function(declare,lang,registry){
-    return declare('rft.ui.lists._EditableListMixin',null,{
+    return declare(null,{
         getItems: function() {
             return this.source.getAllNodes()
Index: Dev/branches/rest-dojo-ui/client/rft/view.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/view.js	(revision 406)
+++ Dev/branches/rest-dojo-ui/client/rft/view.js	(revision 407)
@@ -1,18 +1,11 @@
 require([
     'dojo/parser',
-    'rft/auth',
-    'rft/content',
     'rft/stddeps',
-    'rft/viewContent',
     'dojo/domReady!'
-],function(parser,auth,content) {
+],function(parser) {
     parser.parse();
-    content.init();
-
-    auth.restore()
-    .then(function(){
-        content.initial();
-    },function(){
-    });
-
+    // read options from hash/url
+    // authenticate
+    // set content
+    // go for it
 });
